dataset_class='d4morl'
gpu=0
adpt_td_weight=0.001
adpt_steps=1000
adpt_lr=0.05
use_wandb=1 
adpt_batch_demo=128
adpt_td_type='qf'
export WANDB_INIT_TIMEOUT="300"


for dataset_type in amateur_uniform expert_uniform
do
    for env in MO-Hopper-v2 MO-Swimmer-v2  MO-HalfCheetah-v2   MO-Ant-v2 MO-Walker2d-v2 
    do
        for seed in 0 1 2
        do
        algo='Diffusion-QL'
        normalize_states=1
        nohup python train_eval.py \
            --test_only 1 \
            --env $env --dataset_type $dataset_type \
            --seed $seed \
            --dataset $dataset_class \
            --gpu $gpu \
            --use_wandb $use_wandb \
            --algo $algo\
            --normalize_states $normalize_states\
            --adpt_td_weight $adpt_td_weight\
            --adpt_lr $adpt_lr\
            --adpt_steps $adpt_steps\
            --adpt_batch_demo $adpt_batch_demo\
            --adpt_td_type $adpt_td_type\
            > logs/${env}_${dataset_type}_${seed}_test.txt &
        #gpu=$(($gpu+1))
        done


        for seed in 0 1 2
        do
        algo='PEDA'
        normalize_states=1
        nohup python train_eval.py \
            --test_only 1 \
            --env $env --dataset_type $dataset_type \
            --seed $seed \
            --dataset $dataset_class \
            --gpu $gpu \
            --use_wandb $use_wandb \
            --algo $algo\
            --normalize_states $normalize_states\
            --adpt_td_weight $adpt_td_weight\
            --adpt_lr $adpt_lr\
            --adpt_steps $adpt_steps\
            --adpt_batch_demo $adpt_batch_demo\
            --adpt_td_type $adpt_td_type\
            > logs/${env}_${dataset_type}_${seed}_test.txt &
        #gpu=$(($gpu+1))
        done

        for seed in 0 1 2
        do
        algo='BC'
        normalize_states=1
        nohup python train_eval.py \
            --test_only 1 \
            --env $env --dataset_type $dataset_type \
            --seed $seed \
            --dataset $dataset_class \
            --gpu $gpu \
            --use_wandb $use_wandb \
            --algo $algo\
            --normalize_states $normalize_states\
            --adpt_td_weight $adpt_td_weight\
            --adpt_lr $adpt_lr\
            --adpt_steps $adpt_steps\
            --adpt_batch_demo $adpt_batch_demo\
            --adpt_td_type $adpt_td_type\
            > logs/${env}_${dataset_type}_${seed}_test.txt &
        #gpu=$(($gpu+1))
        done

                                
    
        gpu=$(($gpu+1))
    done
done